Bug 107588 - Syntax error in modules.conf causes system startup to hang up in an endless loop
Summary: Syntax error in modules.conf causes system startup to hang up in an endless loop
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: modutils (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-20 20:39 UTC by hampel
Modified: 2014-03-17 02:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-25 19:23:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description hampel 2003-10-20 20:39:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.5) Gecko/20031007
Firebird/0.7

Description of problem:
A simple mistake in modules.conf causes system start hanging up.
You will get an error message about a syntax error in this file in an endless loop.

This line causes the hang up:

post_install emu10k1 /usr/local/...
....^----- '_' should be '-'.

But the script (?) should check this and shouldn't end up in an endless loop!

Version-Release number of selected component (if applicable):
modutils-2.4.18-2

How reproducible:
Always

Steps to Reproduce:
1.open modules.conf
2.replace '-' in post-install with '_'
3.reboot
    

Expected Results:  Only one error message, but no endless loop!

Additional info:

Comment 1 Bill Nottingham 2005-01-25 19:23:18 UTC
Sorry about the lack of response on this. At this point, this isn't
going to be fixed unless it still reoccurs on current distributions.


Note You need to log in before you can comment on or make changes to this bug.